Skip to main content
POST
Set the active workflow revision

Authorizations

x-api-key
string
header
required

Path Parameters

workflow_id
string<uuid>
required

Body

application/json
revision_id
string<uuid>
required

Response

Successful Response

Full revision response — the compile-poll target (WF-08).

Clients poll GET /workflows/revisions/{id} and read compilation_status

  • compilation_errors + compiled_graph to determine whether an async compile job is done. compilation_task_id is the Celery task handle the conductor uses to cancel an in-flight compile.
id
string<uuid>
required
workflow_id
string<uuid>
required
name
string
required
instructions
string
required
compilation_strategy
string
required
compilation_status
string
required
trigger_type
string
required
trigger_config
Trigger Config · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
compiled_graph
Compiled Graph · object | null
executable_graph
Executable Graph · object | null
quality_report
Quality Report · object | null
compilation_errors
string[] | null
compilation_task_id
string | null
compilation_input_hash
string | null
router_config_id
string<uuid> | null
analyzer_model_settings
ModelChainEntry · object | null
router_model_settings
ModelChainEntry · object | null
policy_ids
any[]
tool_input_defaults
Tool Input Defaults · object | null
tools
WorkflowToolResponse · object[]
knowledge_base_ids
string<uuid>[]
created_by
string | null
graph_version
integer
default:0
warnings
string[]